# Interface StepEvent

All Superinterfaces:
  `Event, Locatable, LocatableEvent, Mirror`

public interface StepEvent extends LocatableEvent
Notification of step completion in the target VM. The step event is generated immediately before the code at its location is executed. Thus, if the step is entering a new method (as might occur with `StepRequest.STEP_INTO`) the location of the event is the first instruction of the method. When a step leaves a method, the location of the event will be the first instruction after the call in the calling method; note that this location may not be at a line boundary, even if `StepRequest.STEP_LINE` was used.

Since:
  1.3
See Also:
  - `StepRequest`
  - `EventQueue`

## Method Summary

### Methods declared in interface Event

`request`
Modifier and Type
Method
Description
`EventRequest`
`request()`

### Methods declared in interface Locatable

`location`
Modifier and Type
Method
Description
`Location`
`location()`
Returns the `Location` of this mirror, if there is executable code associated with it.

### Methods declared in interface LocatableEvent

`thread`
Modifier and Type
Method
Description
`ThreadReference`
`thread()`
Returns the thread in which this event has occurred.

### Methods declared in interface Mirror

`toString, virtualMachine`
Modifier and Type
Method
Description
`String`
`toString()`
Returns a String describing this mirror
`VirtualMachine`
`virtualMachine()`
Gets the VirtualMachine to which this Mirror belongs.